### Property

# Gio UnixInputStream:close-fd

since: 2.20

#### Declaration

    property close-fd: gboolean [ read, write ]

#### Description

Whether to close the file descriptor when the stream is closed.

Type: | `gboolean`
Available since: | 2.20

Default value | TRUE
Getter method | `g_unix_input_stream_get_close_fd()`
Setter method | `g_unix_input_stream_set_close_fd()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no